Bug 1265164 - oVirt Guest Agent Fails PEP8 lint (pep8 1.6.2)
oVirt Guest Agent Fails PEP8 lint (pep8 1.6.2)
Status: CLOSED CURRENTRELEASE
Product: ovirt-guest-agent
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.0-rc3
: 1.0.11-2
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
virt
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 05:24 EDT by Vinzenz Feenstra [evilissimo]
Modified: 2016-02-10 14:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 09:38:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 799002 None None None Never
oVirt gerrit 46513 master MERGED PEP8 1.62 compliance fixes Never
oVirt gerrit 46576 ovirt-3.6 MERGED PEP8 1.62 compliance fixes Never

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2015-09-22 05:24:12 EDT
Source: ovirt-guest-agent
Version: 1.0.10.2.dfsg-2
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

ovirt-guest-agent fails to build from source in unstable/amd64 as the
PEP8 linting errors are considered fatal in the build system (There has
been a recent update of the pep8 package from 1.5.7 → 1.6.2)

  [..]
  make  check-local
  make[3]: Entering directory
  '/tmp/buildd/ovirt-guest-agent-1.0.10.2.dfsg'
  /usr/bin/pep8 --exclude="ovirt-guest-agent/setup.py" --filename
  '*.py,*.py.in' \
  	ovirt-guest-agent/CredServer.py
  	ovirt-guest-agent/GuestAgentLinux2.py
  	ovirt-guest-agent/GuestAgentWin32.py
  	ovirt-guest-agent/LockActiveSession.py
  	ovirt-guest-agent/OVirtAgentLogic.py
  	ovirt-guest-agent/OVirtGuestService.py
  	ovirt-guest-agent/VirtIoChannel.py ovirt-guest-agent/WinFile.py
  	ovirt-guest-agent/ovirt-guest-agent.py
  	ovirt-guest-agent/version.py tests/*.py
  ovirt-guest-agent/CredServer.py:39:1: E402 module level import not at
  top of file
  ovirt-guest-agent/GuestAgentWin32.py:37:19: E721 do not compare types,
  use 'isinstance()'
  ovirt-guest-agent/OVirtAgentLogic.py:35:1: E402 module level import
  not at top of file
  ovirt-guest-agent/OVirtAgentLogic.py:36:1: E402 module level import
  not at top of file
  ovirt-guest-agent/ovirt-guest-agent.py:35:1: E402 module level import
  not at top of file
  Makefile:902: recipe for target 'check-local' failed
  make[3]: *** [check-local] Error 1
  make[3]: Leaving directory
  '/tmp/buildd/ovirt-guest-agent-1.0.10.2.dfsg'
  Makefile:768: recipe for target 'check-am' failed
  make[2]: *** [check-am] Error 2
  make[2]: Leaving directory
  '/tmp/buildd/ovirt-guest-agent-1.0.10.2.dfsg'
  Makefile:480: recipe for target 'check-recursive' failed
  make[1]: *** [check-recursive] Error 1
  make[1]: Leaving directory
  '/tmp/buildd/ovirt-guest-agent-1.0.10.2.dfsg'
  dh_auto_test: make -j1 check returned exit code 2
  debian/rules:18: recipe for target 'build' failed
  make: *** [build] Error 2
  dpkg-buildpackage: error: debian/rules build gave error exit status 2

  [..]

The full build log is attached or can be viewed here:

    https://reproducible.debian.net/logs/unstable/amd64/ovirt-guest-agent_1.0.10.2.dfsg-2.build1.log.gz
Comment 1 Jiri Belka 2016-01-05 11:36:48 EST
which WGT iso does include this guest agent version please?
Comment 2 Jiri Belka 2016-01-12 05:26:29 EST
CodeChange and Debian...
Comment 3 Jiri Belka 2016-01-12 06:12:39 EST
make  check-local
make[3]: Entering directory '/build/ovirt-guest-agent-1.0.11.2.dfsg'
/usr/bin/pep8 --exclude="ovirt-guest-agent/setup.py" --filename '*.py,*.py.in' \
        ovirt-guest-agent/CredServer.py ovirt-guest-agent/GuestAgentLinux2.py ovirt-guest-agent/GuestAgentWin32.py ovirt-guest-agent/LockActiveSession.py ovirt-guest-agent/OVirtAgentLogic.py ovirt-guest-agent/OVirtGuestService.py ovirt-guest-agent/VirtIoChannel.py ovirt-guest-agent/WinFile.py ovirt-guest-agent/ovirt-guest-agent.py ovirt-guest-agent/version.py tests/*.py
/bin/bash: line 1: git: command not found
make[3]: Leaving directory '/build/ovirt-guest-agent-1.0.11.2.dfsg'
make[2]: Leaving directory '/build/ovirt-guest-agent-1.0.11.2.dfsg'
Comment 4 Sandro Bonazzola 2016-01-13 09:38:33 EST
oVirt 3.6.0 has been released, closing current release

Note You need to log in before you can comment on or make changes to this bug.